org.apache.olingo.client.api.uri

## Interface FilterFactory

-     public interface FilterFactory

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `URIFilter` | `and(URIFilter left, URIFilter right)`
    `URIFilter` | `eq(FilterArg left, FilterArg right)`
    `URIFilter` | `eq(String key, Object value)`
    `URIFilter` | `ge(FilterArg left, FilterArg right)`
    `URIFilter` | `ge(String key, Object value)`
    `FilterArgFactory` | `getArgFactory()`
    `URIFilter` | `gt(FilterArg left, FilterArg right)`
    `URIFilter` | `gt(String key, Object value)`
    `URIFilter` | `has(FilterArg left, EdmEnumType enumType, String memberName)`
    `URIFilter` | `has(String key, EdmEnumType enumType, String memberName)`
    `URIFilter` | `le(FilterArg left, FilterArg right)`
    `URIFilter` | `le(String key, Object value)`
    `URIFilter` | `lt(FilterArg left, FilterArg right)`
    `URIFilter` | `lt(String key, Object value)`
    `URIFilter` | `match(FilterArg arg)`
    `URIFilter` | `ne(FilterArg left, FilterArg right)`
    `URIFilter` | `ne(String key, Object value)`
    `URIFilter` | `not(URIFilter filter)`
    `URIFilter` | `or(URIFilter left, URIFilter right)`

- - ### Method Detail

    - #### getArgFactory

          FilterArgFactory getArgFactory()

    - #### match

          URIFilter match(FilterArg arg)

    - #### eq

          URIFilter eq(String key,
                       Object value)

    - #### eq

          URIFilter eq(FilterArg left,
                       FilterArg right)

    - #### ne

          URIFilter ne(String key,
                       Object value)

    - #### ne

          URIFilter ne(FilterArg left,
                       FilterArg right)

    - #### gt

          URIFilter gt(String key,
                       Object value)

    - #### gt

          URIFilter gt(FilterArg left,
                       FilterArg right)

    - #### ge

          URIFilter ge(String key,
                       Object value)

    - #### ge

          URIFilter ge(FilterArg left,
                       FilterArg right)

    - #### lt

          URIFilter lt(String key,
                       Object value)

    - #### lt

          URIFilter lt(FilterArg left,
                       FilterArg right)

    - #### le

          URIFilter le(String key,
                       Object value)

    - #### le

          URIFilter le(FilterArg left,
                       FilterArg right)

    - #### and

          URIFilter and(URIFilter left,
                        URIFilter right)

    - #### or

          URIFilter or(URIFilter left,
                       URIFilter right)

    - #### not

          URIFilter not(URIFilter filter)

    - #### has

          URIFilter has(String key,
                        EdmEnumType enumType,
                        String memberName)

    - #### has

          URIFilter has(FilterArg left,
                        EdmEnumType enumType,
                        String memberName)

Copyright © 2013–2022 The Apache Software Foundation. All rights reserved.